[Xfce4-commits] <xfce-git-migration:master> merge set-hooks and set-perms; set core.sharedRepository to 'group'

Brian J. Tarricone brian at tarricone.org
Tue Aug 18 23:54:01 CEST 2009


Updating branch refs/heads/master
         to b82bf3d14628cb99b2ae8f8a38650b2ef48445b5 (commit)
       from 3a77fb799bdf4cde2312d9a37764b612142d3d27 (commit)

commit b82bf3d14628cb99b2ae8f8a38650b2ef48445b5
Author: Brian J. Tarricone <brian at tarricone.org>
Date:   Tue Aug 18 21:49:30 2009 +0000

    merge set-hooks and set-perms; set core.sharedRepository to 'group'

 repos-final-prep.sh |   34 ++++++++++++++++++++++++++++++++++
 set-hooks.sh        |   19 -------------------
 set-perms.sh        |   17 -----------------
 3 files changed, 34 insertions(+), 36 deletions(-)

diff --git a/repos-final-prep.sh b/repos-final-prep.sh
new file mode 100755
index 0000000..12abf09
--- /dev/null
+++ b/repos-final-prep.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+GIT_REPOS_ROOT=/var/git
+HOOKS_DIR=/usr/local/share/xfce-git-hooks
+HOOKS="update post-update"
+
+pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
+
+for d in `find -type d -name hooks`; do
+  export GIT_DIR=`dirname $d`
+
+  chown -R root:git-push $GIT_DIR
+  chmod -R a+r,ug+w $GIT_DIR
+  find $GIT_DIR -type d | xargs chmod a+x,g+s
+  setfacl -R -m d:g:git-push:rwx $GIT_DIR
+
+  git config core.sharedRepository group
+
+  for h in $HOOKS; do
+    rm -f $d/$h
+    ln -sf $HOOKS_DIR/$h $d/$h
+  done
+
+  git config xfce-hooks.mailinglist xfce4-commits at xfce.org
+  git config xfce-hooks.envelopesender noreply at xfce.org
+
+  repo_group=`dirname $GIT_DIR`
+  repo_group=`basename $repo_group`
+  if [ "$repo_group" = "xfce" ]; then
+    git config xfce-hooks.replyto xfce4-dev at xfce.org
+  fi
+done
+
+popd &>/dev/null
diff --git a/set-hooks.sh b/set-hooks.sh
deleted file mode 100755
index 4ce64b9..0000000
--- a/set-hooks.sh
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/bash
-
-GIT_REPOS_ROOT=/var/git
-HOOKS_DIR=/usr/local/share/xfce-git-hooks
-HOOKS="update"
-
-pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
-
-for d in `find -type d -name hooks`; do
-  for h in $HOOKS; do
-    rm -f $d/$h
-    ln -sf $HOOKS_DIR/$h $d/$h
-  done
-
-  GIT_DIR=`dirname $d` git config xfce-hooks.mailinglist xfce4-commits at xfce.org
-  GIT_DIR=`dirname $d` git config xfce-hooks.envelopesender noreply at xfce.org
-done
-
-popd &>/dev/null
diff --git a/set-perms.sh b/set-perms.sh
deleted file mode 100755
index f0a3723..0000000
--- a/set-perms.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-
-GIT_REPOS_ROOT=/var/git
-
-pushd $GIT_REPOS_ROOT &>/dev/null || exit 1
-
-for d in *; do
-    [ "$d" = "lost+found" ] && continue
-    [ "$d" = "svn.old" ] && continue
-
-    chown -R root:git-push $d
-    chmod -R a+r,ug+w $d
-    find $d -type d | xargs chmod a+x,g+s
-    setfacl -R -m d:g:git-push:rwx $d
-done
-
-popd &>/dev/null



More information about the Xfce4-commits mailing list